<template>
  <div class="training-plan-base part-box part-box-pad">
    <el-descriptions title="培养方案" :column="1" size="medium">
      <el-descriptions-item label="培养方案名称">{{
        rowData.name
      }}</el-descriptions-item>
      <el-descriptions-item label="专业">{{
        rowData.professionalName
      }}</el-descriptions-item>
      <el-descriptions-item label="培养目标">
        {{ rowData.targetCount }}个
      </el-descriptions-item>
      <el-descriptions-item label="毕业要求">
        {{ rowData.requirementCount }}项
      </el-descriptions-item>
      <el-descriptions-item label="课程体系">
        {{ rowData.courseCount }}门
      </el-descriptions-item>
      <el-descriptions-item label="创建人">
        {{ rowData.createRealName }}（{{ rowData.createLoginName }}）
      </el-descriptions-item>
    </el-descriptions>
  </div>
</template>

<script>
export default {
  name: "training-plan-base",
  props: {
    rowData: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  data() {
    return {};
  },
  mounted() {
    this.$emit("update-detail");
  },
  methods: {},
};
</script>
